Skip to main content
POST
/
generation
/
bytedance
/
seedance-2.0
Seedance 2.0
curl --request POST \
  --url https://open.skills.video/api/v1/generation/bytedance/seedance-2.0 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "first_frame_url": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat walking through neon rain",
    "duration": 5,
    "aspect_ratio": "16:9",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}
Cinematic audio-video generation with director-level camera moves and multi-shot continuity.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required

The text prompt used to generate the video

feature
string

Workflow type: text/image-to-video, frame-to-video, or reference-to-video.

Allowed value: "text-image-to-video"
aspect_ratio
enum<string>
default:16:9

The aspect ratio of the generated video

Available options:
21:9,
16:9,
4:3,
1:1,
3:4,
9:16
resolution
enum<string>
default:720p

Video resolution

Available options:
480p,
720p,
1080p
duration
integer
default:5

Video duration in seconds

Required range: 4 <= x <= 15
generate_audio
boolean
default:true

Whether to generate native audio for the video

seed
integer

Random seed for reproducible generation

Required range: -9007199254740991 <= x <= 9007199254740991
end_user_id
string

Unique user identifier for safety and monitoring.

audio_url
string<uri>

Single audio reference URL (compatibility alias).

audio_urls
string<uri>[]

Reference audio URLs for reference-to-video mode (max 3).

Maximum array length: 3
image_url
string<uri>

Optional source image URL for text/image-to-video mode.

image_urls
string<uri>[]

Image URLs for reference-to-video mode (max 9). text/image-to-video supports at most 1 image.

Maximum array length: 9
reference_image_urls
string<uri>[]

Reference image URLs (compatibility alias, max 9).

Maximum array length: 9
video_urls
string<uri>[]

Reference video URLs for reference-to-video mode (max 3).

Maximum array length: 3
video_refs
string<uri>[]

Reference video URLs (compatibility alias, max 3).

Maximum array length: 3
first_frame_url
string<uri>

First frame image URL for frame-to-video mode.

end_frame_url
string<uri>

Optional end frame image URL for frame-to-video mode.

{key}
any

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
Text Image To Video · object
required

Normalized input payload for the generation task.

usage
object
required

Credit usage breakdown for the request

code
string

Machine-readable generation error code. Present when status is FAILED.

message
string

Sanitized human-readable failure message. Present when status is FAILED.